Bug 178371 - [UPDATE] graphics/mupdf 1.1 -> 1.2
[UPDATE] graphics/mupdf 1.1 -> 1.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-06 18:20 UTC by lichray
Modified: 2013-05-09 12:50 UTC (History)
0 users

See Also:


Attachments
mupdf-1.2.patch (6.64 KB, patch)
2013-05-06 18:20 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2013-05-06 18:20:02 UTC
	
	GPLv3 -> AGPLv3
	mubusy -> mutool
	JavaScript support.

	http://www.mupdf.com/news
Comment 1 Guido Falsi freebsd_committer 2013-05-08 17:13:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-05-09 12:44:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-05-09 12:44:46 UTC
Author: madpilot
Date: Thu May  9 11:44:36 2013
New Revision: 317735
URL: http://svnweb.freebsd.org/changeset/ports/317735

Log:
  - Update to 1.2
  - Add javascript support
  
  PR:		ports/178371
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/graphics/mupdf/files/patch-Makefile   (contents, props changed)
Modified:
  head/graphics/mupdf/Makefile   (contents, props changed)
  head/graphics/mupdf/distinfo   (contents, props changed)
  head/graphics/mupdf/files/scroll_hack-apps_pdfapp.c   (contents, props changed)
  head/graphics/mupdf/pkg-plist   (contents, props changed)

Modified: head/graphics/mupdf/Makefile
==============================================================================
--- head/graphics/mupdf/Makefile	Thu May  9 11:07:26 2013	(r317734)
+++ head/graphics/mupdf/Makefile	Thu May  9 11:44:36 2013	(r317735)
@@ -2,17 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	mupdf
-PORTVERSION=	1.1
+PORTVERSION=	1.2
 PORTEPOCH=	1
 CATEGORIES=	graphics
 MASTER_SITES=	GOOGLE_CODE \
 		http://www.mupdf.com/download/
-EXTRACT_SUFX=	-source.tar.gz
+EXTRACT_SUFX=	-source.zip
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Lightweight PDF viewer and toolkit
 
-LICENSE=	GPLv3
+LICENSE=	AGPLv3
 
 LIB_DEPENDS=	freetype:${PORTSDIR}/print/freetype2 \
 		jpeg:${PORTSDIR}/graphics/jpeg \
@@ -20,18 +20,20 @@ LIB_DEPENDS=	freetype:${PORTSDIR}/print/
 		openjpeg:${PORTSDIR}/graphics/openjpeg
 
 USE_GMAKE=	yes
-MAKE_ARGS+=	build=release prefix=${PREFIX} verbose=1 mandir=${PREFIX}/man
+MAKE_ARGS+=	build=release prefix=${PREFIX} verbose=1 mandir=${PREFIX}/man \
+		XCFLAGS=-I${LOCALBASE}/include
 USES=		pkgconfig
 USE_XORG=	x11 xext
-MAN1=		mupdf.1 mubusy.1 mudraw.1
+MAN1=		mupdf.1 mutool.1 mudraw.1
 
 MAKE_JOBS_SAFE=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-source
 
-OPTIONS_DEFINE=	SCROLL
+OPTIONS_DEFINE=	SCROLL JS
 OPTIONS_DEFAULT=SCROLL
 
 SCROLL_DESC=	Build with scroll hacks
+JS_DESC=	JavaScript support (V8 engine)
 
 .include <bsd.port.options.mk>
 
@@ -45,6 +47,11 @@ CFLAGS+=	-mfpmath=sse
 EXTRA_PATCHES+=	${FILESDIR}/scroll_hack-apps_pdfapp.c
 .endif
 
+.if ${PORT_OPTIONS:MJS}
+LIB_DEPENDS+=	v8:${PORTSDIR}/lang/v8
+MAKE_ARGS+=	V8_PRESENT=1 V8LIBS=-lv8
+.endif
+
 post-patch:	.SILENT
 	${REINPLACE_CMD} \
 		-e '/install:/,/^$$/ { /-d/d; }' \
@@ -56,5 +63,6 @@ post-patch:	.SILENT
 	${REINPLACE_CMD} -e 's/-pipe -O2 //' \
 		-e 's|/usr/local|${LOCALBASE}|' \
 		${WRKSRC}/Makerules
+	${RM} -r ${WRKSRC}/thirdparty/*
 
 .include <bsd.port.mk>

Modified: head/graphics/mupdf/distinfo
==============================================================================
--- head/graphics/mupdf/distinfo	Thu May  9 11:07:26 2013	(r317734)
+++ head/graphics/mupdf/distinfo	Thu May  9 11:44:36 2013	(r317735)
@@ -1,2 +1,2 @@
-SHA256 (mupdf-1.1-source.tar.gz) = e54666bbe1d9f0a5464349bfbeffcf676c4a0fcad3efb89eba1f20d4ac991f34
-SIZE (mupdf-1.1-source.tar.gz) = 4281735
+SHA256 (mupdf-1.2-source.zip) = 9bc9e31ec27c091dad37f70940bd799e46ab6da4299bc58e803bff3dbb07dc3b
+SIZE (mupdf-1.2-source.zip) = 13808821

Added: head/graphics/mupdf/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mupdf/files/patch-Makefile	Thu May  9 11:44:36 2013	(r317735)
@@ -0,0 +1,67 @@
+--- Makefile.orig	2013-02-13 09:25:07.000000000 -0500
++++ Makefile	2013-05-06 13:00:30.619173583 -0400
+@@ -12,19 +12,13 @@ default: all
+ # Do not specify CFLAGS or LIBS on the make invocation line - specify
+ # XCFLAGS or XLIBS instead. Make ignores any lines in the makefile that
+ # set a variable that was set on the command line.
+-CFLAGS += $(XCFLAGS) -Ifitz -Ipdf -Ixps -Icbz -Iscripts
+-LIBS += $(XLIBS) -lfreetype -ljbig2dec -ljpeg -lopenjpeg -lz -lm
++CFLAGS += -Ifitz -Ipdf -Ixps -Icbz -Iscripts $(XCFLAGS)
++LIBS += -lfreetype -ljbig2dec -ljpeg -lopenjpeg -lz -lm $(XLIBS)
+ LIBS_V8 = $(LIBS) $(V8LIBS)
+ 
+ include Makerules
+ include Makethird
+ 
+-THIRD_LIBS := $(FREETYPE_LIB)
+-THIRD_LIBS += $(JBIG2DEC_LIB)
+-THIRD_LIBS += $(JPEG_LIB)
+-THIRD_LIBS += $(OPENJPEG_LIB)
+-THIRD_LIBS += $(ZLIB_LIB)
+-
+ ifeq "$(verbose)" ""
+ QUIET_AR = @ echo ' ' ' ' AR $@ ;
+ QUIET_CC = @ echo ' ' ' ' CC $@ ;
+@@ -169,14 +163,15 @@ $(MUTOOL) : $(addprefix $(OUT)/, pdfclea
+ 
+ ifeq "$(NOX11)" ""
+ MUVIEW := $(OUT)/mupdf
++ifeq "$(V8_PRESENT)" "1"
++$(MUVIEW) : $(FITZ_V8_LIB) $(THIRD_LIBS)
++$(MUVIEW) : $(addprefix $(OUT)/, x11_main.o x11_image.o pdfapp.o)
++	$(LINK_V8_CMD) $(X11_LIBS)
++else
+ $(MUVIEW) : $(FITZ_LIB) $(THIRD_LIBS)
+ $(MUVIEW) : $(addprefix $(OUT)/, x11_main.o x11_image.o pdfapp.o)
+ 	$(LINK_CMD) $(X11_LIBS)
+-
+-MUVIEW_V8 := $(OUT)/mupdf-v8
+-$(MUVIEW_V8) : $(FITZ_V8_LIB) $(THIRD_LIBS)
+-$(MUVIEW_V8) : $(addprefix $(OUT)/, x11_main.o x11_image.o pdfapp.o)
+-	$(LINK_V8_CMD) $(X11_LIBS)
++endif
+ endif
+ 
+ MUJSTEST_V8 := $(OUT)/mujstest-v8
+@@ -184,12 +179,6 @@ $(MUJSTEST_V8) : $(FITZ_V8_LIB) $(THIRD_
+ $(MUJSTEST_V8) : $(addprefix $(OUT)/, jstest_main.o pdfapp.o)
+ 	$(LINK_V8_CMD)
+ 
+-ifeq "$(V8_PRESENT)" "1"
+-JSTARGETS := $(MUJSTEST_V8) $(FITZ_V8_LIB) $(MUVIEW_V8)
+-else
+-JSTARGETS :=
+-endif
+-
+ # --- Format man pages ---
+ 
+ %.txt: %.1
+@@ -212,7 +201,7 @@ install: $(FITZ_LIB) $(MUVIEW) $(MUDRAW)
+ 	install -d $(DESTDIR)$(bindir) $(DESTDIR)$(libdir) $(DESTDIR)$(incdir) $(DESTDIR)$(mandir)/man1
+ 	install $(FITZ_LIB) $(DESTDIR)$(libdir)
+ 	install fitz/memento.h fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h $(DESTDIR)$(incdir)
+-	install $(MUVIEW) $(MUDRAW) $(MUBUSY) $(DESTDIR)$(bindir)
++	install $(MUVIEW) $(MUDRAW) $(MUTOOL) $(DESTDIR)$(bindir)
+ 	install $(wildcard apps/man/*.1) $(DESTDIR)$(mandir)/man1
+ 
+ # --- Clean and Default ---

Modified: head/graphics/mupdf/files/scroll_hack-apps_pdfapp.c
==============================================================================
--- head/graphics/mupdf/files/scroll_hack-apps_pdfapp.c	Thu May  9 11:07:26 2013	(r317734)
+++ head/graphics/mupdf/files/scroll_hack-apps_pdfapp.c	Thu May  9 11:44:36 2013	(r317735)
@@ -1,22 +1,22 @@
---- apps/pdfapp.c.orig	2012-03-29 05:46:53.000000000 -0500
-+++ apps/pdfapp.c	2012-04-07 16:43:55.030462608 -0500
-@@ -774,11 +774,15 @@ void pdfapp_onkey(pdfapp_t *app, int c)
+--- apps/pdfapp.c.orig	2013-02-26 12:07:15.000000000 -0500
++++ apps/pdfapp.c	2013-05-06 11:13:27.210765076 -0400
+@@ -1142,11 +1142,15 @@ void pdfapp_onkey(pdfapp_t *app, int c)
  		break;
  
  	case 'j':
 + 		if (app->pany + fz_pixmap_height(app->ctx, app->image) <= app->winh)
 + 			goto pagedown;
  		app->pany -= fz_pixmap_height(app->ctx, app->image) / 10;
- 		pdfapp_showpage(app, 0, 0, 1);
+ 		pdfapp_showpage(app, 0, 0, 1, 0);
  		break;
  
  	case 'k':
 + 		if (app->pany >= 0)
 + 			goto pageup;
  		app->pany += fz_pixmap_height(app->ctx, app->image) / 10;
- 		pdfapp_showpage(app, 0, 0, 1);
+ 		pdfapp_showpage(app, 0, 0, 1, 0);
  		break;
-@@ -842,6 +846,7 @@ void pdfapp_onkey(pdfapp_t *app, int c)
+@@ -1214,6 +1218,7 @@ void pdfapp_onkey(pdfapp_t *app, int c)
  	 */
  
  	case ',':
@@ -24,7 +24,7 @@
  		panto = PAN_TO_BOTTOM;
  		if (app->numberlen > 0)
  			app->pageno -= atoi(app->number);
-@@ -850,6 +855,7 @@ void pdfapp_onkey(pdfapp_t *app, int c)
+@@ -1222,6 +1227,7 @@ void pdfapp_onkey(pdfapp_t *app, int c)
  		break;
  
  	case '.':
@@ -32,7 +32,7 @@
  		panto = PAN_TO_TOP;
  		if (app->numberlen > 0)
  			app->pageno += atoi(app->number);
-@@ -1039,6 +1045,12 @@ void pdfapp_onmouse(pdfapp_t *app, int x
+@@ -1523,6 +1529,12 @@ void pdfapp_onmouse(pdfapp_t *app, int x
  				int isx = (modifiers & (1<<0));
  				int xstep = isx ? 20 * dir : 0;
  				int ystep = !isx ? 20 * dir : 0;

Modified: head/graphics/mupdf/pkg-plist
==============================================================================
--- head/graphics/mupdf/pkg-plist	Thu May  9 11:07:26 2013	(r317734)
+++ head/graphics/mupdf/pkg-plist	Thu May  9 11:44:36 2013	(r317735)
@@ -1,6 +1,6 @@
-bin/mubusy
 bin/mupdf
 bin/mudraw
+bin/mutool
 include/fitz.h
 include/memento.h
 include/mucbz.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"